<?php
/**
 * @version $Id$
 * @package    Contact_Enhanced
 * @subpackage Views
 * @author     Douglas Machado {@link http://ideal.fok.com.br}
 * @author     Created on 04-Dec-09
 * @license		GNU/GPL, see license.txt
 * Contact Enhanced  is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses. */

//-- No direct access
defined('_JEXEC') or die('=;)');

jimport('joomla.application.component.view');

$lang =& JFactory::getLanguage();
$lang->load('com_contact_enhanced',JPATH_ROOT);

class Contact_EnhancedsViewMessage extends JView
{
	function display($tpl = null)
	{
		///JHTML::stylesheet( 'contact_enhanced.css', 'administrator/components/com_contact_enhanced/assets/' );

		//Data from model
		$item			=& $this->get('Data');
		$customfields	=& $this->get('RecordedFields');
		$attachments	=& $this->get('Attachments');
		$replies		=& $this->get('Replies');

		JToolBarHelper::title(   '&nbsp;&nbsp;' .JText::_( 'Message' ), 'inbox');

		/*JToolBarHelper::save('saveCustomFields');
		JToolBarHelper::cancel();*/
		JToolBarHelper::cancel();
		//JToolBarHelper::back();
		

		$this->assignRef('item',			$item);
		$this->assignRef('customfields',	$customfields);
		$this->assignRef('attachments',		$attachments);
		$this->assignRef('replies',			$replies);
			
		parent::display($tpl);
	}

}
